
#define kTivoConfigMaxNumSelectors 64

typedef unsigned long TivoConfigSelector;
typedef unsigned long TivoConfigValue;
typedef unsigned long TStatus;

void    InitTivoConfig( TivoConfigValue value );
TStatus GetTivoConfig( TivoConfigSelector selector, TivoConfigValue *value );
TStatus SetTivoConfig( TivoConfigSelector selector, TivoConfigValue  value );


// use: echo -n BORD | od -t x1

enum {
    kTivoConfigBoardID             = 0x424F5244, // 'BORD'
    kTivoConfigBoardIDClassic      = 0x00010000,
    kTivoConfigBoardIDCombo        = 0x00020000,
    kTivoConfigBoardIDBcmUma       = 0x00030000,
};

enum {
    kTivoConfigMemSize             = 0x4D454D53, // 'MEMS'
};

enum {
    kTivoConfigI2cType             = 0x49324354, // 'I2CT'
    kTivoConfigI2cTypeSingleMSBus  = 0x00000001, 
    kTivoConfigI2cTypeDualMSBus    = 0x00000002, 
};

 

